Last Comment Bug 517938 - mochitest-plain: intermittent "Test timed out" in security/ssl/mixedcontent tests (test_bug329869.html, test_bug383369.html, test_bug455367.html, test_bug472986.html)
: mochitest-plain: intermittent "Test timed out" in security/ssl/mixedcontent t...
Status: RESOLVED FIXED
[test which aborts the suite]
: intermittent-failure
Product: Core Graveyard
Classification: Graveyard
Component: Security: UI (show other bugs)
: Trunk
: x86 Linux
: -- major (vote)
: mozilla1.9.3a1
Assigned To: Honza Bambas (:mayhemer)
:
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
: 525012 (view as bug list)
Depends on: 522684
Blocks: 438871 452401 542207
  Show dependency treegraph
 
Reported: 2009-09-21 11:26 PDT by Serge Gautherie (:sgautherie)
Modified: 2016-09-27 13:03 PDT (History)
15 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
.2-fixed
.9-fixed


Attachments
ssltunnel logging v1 [Checking comment 46] (9.64 KB, patch)
2009-12-28 07:08 PST, Honza Bambas (:mayhemer)
no flags Details | Diff | Splinter Review
ssltunnel logging v1.1 (9.64 KB, patch)
2009-12-28 10:53 PST, Honza Bambas (:mayhemer)
no flags Details | Diff | Splinter Review
Additional logging 1 (2.97 KB, patch)
2010-01-16 07:36 PST, Honza Bambas (:mayhemer)
no flags Details | Diff | Splinter Review
Yet more logging (3.03 KB, patch)
2010-01-18 12:00 PST, Honza Bambas (:mayhemer)
no flags Details | Diff | Splinter Review
Fix v1 (6.67 KB, patch)
2010-01-19 15:07 PST, Honza Bambas (:mayhemer)
no flags Details | Diff | Splinter Review
Fix v1.1 (8.66 KB, patch)
2010-01-19 15:20 PST, Honza Bambas (:mayhemer)
no flags Details | Diff | Splinter Review
Fix v1.1 [Checkin comment 69] [1.9.2 comment 73] [1.9.1 comment 74] (8.68 KB, patch)
2010-01-19 15:32 PST, Honza Bambas (:mayhemer)
ted: review+
mbeltzner: approval1.9.2.2+
mbeltzner: approval1.9.1.9+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2009-09-21 11:26:09 PDT
{
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1253553992.1253556989.24061.gz
Linux mozilla-central test mochitests on 2009/09/21 10:26:32

86091 INFO Running /tests/security/ssl/mixedcontent/test_bug329869.html...
86092 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug329869.html | Test timed out.
86094 INFO Running /tests/security/ssl/mixedcontent/test_bug383369.html...
86095 INFO Error: Unable to restore focus, expect failures and timeouts.
86096 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug383369.html | Test timed out.
86098 INFO Running /tests/security/ssl/mixedcontent/test_bug455367.html...
86099 INFO Error: Unable to restore focus, expect failures and timeouts.
86100 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug455367.html | Test timed out.
86102 INFO Running /tests/security/ssl/mixedcontent/test_bug472986.html...
86103 INFO Error: Unable to restore focus, expect failures and timeouts.
86104 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug472986.html | Test timed out.
86105 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | 4 test timeouts, giving up.
86106 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | Skipping 137 remaining tests.
}
Comment 1 Honza Bambas (:mayhemer) 2009-09-22 10:39:04 PDT
This looks close to bug 508835 (fixed by bug 507370). Is it the first time this appeared?
Comment 2 Markus Stange [:mstange] 2009-09-22 18:49:14 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1253664433.1253668294.24750.gz
Linux mozilla-central test mochitests on 2009/09/22 17:07:13
Comment 3 Serge Gautherie (:sgautherie) 2009-09-24 09:25:10 PDT
(In reply to comment #1)
> Is it the first time this appeared?

First time I notice it at least, iirc. (But I can't be sure.)
Comment 4 Honza Bambas (:mayhemer) 2009-10-21 02:41:08 PDT
Bug 522684 could potentially fix this.
Comment 5 Phil Ringnalda (:philor) 2009-10-24 21:33:30 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256332883.1256334379.23037.gz
Linux mozilla-central test debug mochitests-5/5 on 2009/10/23 14:21:23
Comment 7 Phil Ringnalda (:philor) 2009-10-26 10:09:31 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256568709.1256570216.894.gz
Linux mozilla-central test mochitests-5/5 on 2009/10/26 07:51:49
Comment 8 Phil Ringnalda (:philor) 2009-10-26 10:10:24 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256568296.1256569910.29794.gz
Linux mozilla-central test debug mochitests-5/5 on 2009/10/26 07:44:56
Comment 9 Benjamin Smedberg [:bsmedberg] 2009-10-27 12:14:40 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256669096.1256670655.9889.gz
Linux mozilla-central test debug mochitests-5/5
Comment 10 Phil Ringnalda (:philor) 2009-10-28 16:36:55 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256769745.1256771579.24173.gz
Linux mozilla-central test debug mochitests-5/5 on 2009/10/28 15:42:25
Comment 11 Phil Ringnalda (:philor) 2009-10-28 21:49:35 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256790060.1256791560.21589.gz
Linux mozilla-central test mochitests-5/5 on 2009/10/28 21:21:00
Comment 12 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2009-10-28 21:51:46 PDT
*** Bug 525012 has been marked as a duplicate of this bug. ***
Comment 13 Phil Ringnalda (:philor) 2009-10-30 10:09:43 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256886126.1256887522.15238.gz
Linux mozilla-central test mochitests-5/5 on 2009/10/30 00:02:06
Comment 14 Honza Bambas (:mayhemer) 2009-10-31 05:57:21 PDT
This bug should be fixed on m-c by this check in:
http://hg.mozilla.org/mozilla-central/rev/293f92d1a482

If there is no report from now, let's close this.
Comment 15 Zack Weinberg (:zwol) 2009-11-02 10:55:02 PST
Still happening, only on OSX this time:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257185653.1257187228.20126.gz
OS X 10.5.2 mozilla-central test mochitests-5/5 on 2009/11/02 10:14:13

(Linux unit tests are still running for that checkin)
Comment 16 Blair McBride [:Unfocused] (UNAVAILABLE) 2009-11-02 14:50:04 PST
Still happening on Linux, it seems:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257199619.1257201344.19732.gz
Linux mozilla-central test debug mochitests-5/5 on 2009/11/02 14:06:59
Comment 17 Zack Weinberg (:zwol) 2009-11-02 22:18:33 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257227272.1257228621.28309.gz
OS X 10.5.2 mozilla-central test mochitests-5/5 on 2009/11/02 21:47:52
Comment 18 Phil Ringnalda (:philor) 2009-11-04 17:15:02 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257381517.1257383407.7823.gz
Linux mozilla-central test mochitests-5/5 on 2009/11/04 16:38:37
Comment 19 Marco Bonardo [::mak] 2009-11-06 07:22:27 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257507373.1257510009.29758.gz
OS X 10.5.2 mozilla-central debug test mochitests-5/5 on 2009/11/06 03:36:13
Comment 20 Phil Ringnalda (:philor) 2009-11-07 11:42:38 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257598175.1257599733.18782.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/07 04:49:35
Comment 21 Phil Ringnalda (:philor) 2009-11-08 10:32:46 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257703406.1257704871.32061.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/08 10:03:26
Comment 22 Phil Ringnalda (:philor) 2009-11-11 11:16:15 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257944796.1257946814.12741.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/11 05:06:36
Comment 23 Phil Ringnalda (:philor) 2009-11-11 13:17:05 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257971765.1257973641.2485.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/11 12:36:05
Comment 24 Phil Ringnalda (:philor) 2009-11-12 08:54:42 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258024268.1258025924.2920.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/12 03:11:08
Comment 25 Makoto Kato [:m_kato] 2009-11-12 20:00:39 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1258080137.1258084283.26840.gz
Linux mozilla-1.9.2 test mochitests on 2009/11/12 18:42:17
Comment 26 Phil Ringnalda (:philor) 2009-11-15 12:23:23 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258313136.1258314514.15624.gz
Linux mozilla-central opt test mochitests-5/5 on 2009/11/15 11:25:36
s: moz2-linux-slave15
Comment 27 Honza Bambas (:mayhemer) 2009-11-16 06:25:44 PST
This still seems to be linux specific. I have CentOS 5 installation in VPC2007 only (no dedicated machine). I experience bug 521549 on it, so I have to wait to get it fixed or install a different distribution (where I am not sure I would be able to reproduce this bug).
Comment 28 :Ehsan Akhgari 2009-11-16 14:11:03 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258407220.1258408848.9109.gz
Linux mozilla-central debug test mochitests-5/5
Comment 29 Phil Ringnalda (:philor) 2009-11-17 08:55:44 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258466382.1258468209.30282.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/17 05:59:42
s: moz2-linux-slave41
Comment 31 Robert Strong [:rstrong] (use needinfo to contact me) 2009-11-18 23:36:41 PST
Linux mozilla-central debug test mochitests-5/5 on 2009/11/18 23:01:33
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258614093.1258615959.2945.gz
Comment 32 Phil Ringnalda (:philor) 2009-11-21 08:22:28 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258816586.1258818354.5550.gz
OS X 10.5.2 mozilla-central test mochitests-5/5 on 2009/11/21 07:16:26
s: moz2-darwin9-slave05
550 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug383369.html | Test timed out.
buildbot.slave.commands.TimeoutError: command timed out: 1200 seconds without output, killing pid 381
Comment 33 Dave Townsend [:mossop] 2009-11-30 13:42:29 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259612277.1259613803.15465.gz&fulltext=1
Linux mozilla-central debug test mochitests-5/5 on 2009/11/30 12:17:57
Comment 34 Robert Strong [:rstrong] (use needinfo to contact me) 2009-12-03 19:25:27 PST
Linux mozilla-central debug test mochitests-5/5 on 2009/12/03 17:28:31
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259890111.1259891591.22128.gz
Comment 35 Phil Ringnalda (:philor) 2009-12-09 17:34:04 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260402367.1260403955.20398.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/12/09 15:46:07
s: moz2-linux-slave06
Comment 36 Daniel Holbert [:dholbert] 2009-12-10 11:15:00 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260470704.1260472273.4332.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/12/10 10:45:04
s: moz2-linux-slave08
Comment 37 Markus Stange [:mstange] 2009-12-12 02:51:45 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260613305.1260614736.23673.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/12/12 02:21:45
Comment 38 Phil Ringnalda (:philor) 2009-12-12 16:26:07 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260661522.1260663772.25645.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/12/12 15:45:22
s: moz2-linux-slave18
Comment 39 Phil Ringnalda (:philor) 2009-12-13 18:24:18 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260755728.1260757248.8086.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/12/13 17:55:28
s: moz2-linux-slave10
Comment 40 Phil Ringnalda (:philor) 2009-12-14 15:13:35 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260830210.1260831817.6122.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/12/14 14:36:50
s: moz2-linux-slave16
Comment 41 Paul O'Shannessy [:zpao] (not reading much bugmail, email directly) 2009-12-15 10:46:13 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260897733.1260899726.23162.gz
OS X 10.5.2 mozilla-central test mochitests-5/5 on 2009/12/15 09:22:13
Comment 42 Phil Ringnalda (:philor) 2009-12-16 11:38:23 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1260988402.1260990571.23567.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/12/16 10:33:22
s: moz2-linux-slave12
Comment 43 Benjamin Smedberg [:bsmedberg] 2009-12-21 09:36:49 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261411242.1261412781.11202.gz
OS X 10.5.2 mozilla-central test mochitests-5/5 on 2009/12/21 08:00:42
Comment 44 Phil Ringnalda (:philor) 2009-12-22 12:11:49 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261506837.1261508623.28058.gz
OS X 10.5.2 mozilla-central test mochitests-5/5 on 2009/12/22 10:33:57
s: moz2-darwin9-slave05
589 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug383369.html | Test timed out.
buildbot.slave.commands.TimeoutError: command timed out: 1200 seconds without output, killing pid 273
Comment 45 Honza Bambas (:mayhemer) 2009-12-28 07:08:10 PST
Created attachment 419302 [details] [diff] [review]
ssltunnel logging v1 [Checking comment 46]

Going to land this and let's see.
Comment 46 Honza Bambas (:mayhemer) 2009-12-28 07:58:57 PST
Comment on attachment 419302 [details] [diff] [review]
ssltunnel logging v1 [Checking comment 46]

http://hg.mozilla.org/mozilla-central/rev/a707bf69e7a0
Comment 47 Honza Bambas (:mayhemer) 2009-12-28 10:53:20 PST
Created attachment 419323 [details] [diff] [review]
ssltunnel logging v1.1

http://hg.mozilla.org/mozilla-central/rev/b7ee0f1acfef

%x -> %p, also to fix linux64 build errors.
Comment 48 Timothy Nikkel (:tnikkel) 2010-01-02 21:15:50 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262493858.1262495404.9793.gz
Linux mozilla-central debug test mochitests-5/5 on 2010/01/02 20:44:18
s: moz2-linux-slave07
598 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug329869.html | Test timed out.
602 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug383369.html | Test timed out.
606 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug455367.html | Test timed out.
610 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug472986.html | Test timed out.
611 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | 4 test timeouts, giving up.
612 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | Skipping 143 remaining tests.
Comment 49 Daniel Holbert [:dholbert] 2010-01-05 23:56:03 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262761275.1262763273.9553.gz
Linux mozilla-central debug test mochitests-5/5 on 2010/01/05 23:01:15
s: moz2-linux-slave07
Comment 50 Honza Bambas (:mayhemer) 2010-01-06 08:27:58 PST
Daniel, thanks for the log report!

It looks like ReadConnectRequest doesn't pass on data we get. The reason I can see is that the request (or the data we are processing in that function) is not tailed with \r\n\r\n at that moment. Going to investigate further.
Comment 51 David Baron :dbaron: ⌚️UTC-7 (busy September 14-25) 2010-01-12 09:21:18 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263312572.1263314343.3984.gz
Linux mozilla-central debug test mochitests-5/5 on 2010/01/12 08:09:32  
s: moz2-linux-slave22
576 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug329869.html | Test timed out.
580 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug383369.html | Test timed out.
584 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug455367.html | Test timed out.
588 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug472986.html | Test timed out.
589 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | 4 test timeouts, giving up.
590 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | Skipping 144 remaining tests.


This seems like what happens when the mochitest server crashes.
Comment 52 Honza Bambas (:mayhemer) 2010-01-16 07:36:35 PST
Created attachment 422003 [details] [diff] [review]
Additional logging 1
Comment 53 Honza Bambas (:mayhemer) 2010-01-16 07:37:04 PST
Comment on attachment 422003 [details] [diff] [review]
Additional logging 1

http://hg.mozilla.org/mozilla-central/rev/0fdec1dfd30b
Comment 54 alexander :surkov 2010-01-18 03:32:24 PST
OS X 10.5.2 mozilla-central debug test mochitests-5/5 on 2010/01/18 02:55:12  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263812112.1263813748.16786.gz
Comment 55 Honza Bambas (:mayhemer) 2010-01-18 11:46:41 PST
(In reply to comment #54)
> OS X 10.5.2 mozilla-central debug test mochitests-5/5 on 2010/01/18 02:55:12  
> 
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263812112.1263813748.16786.gz

I have figured out what happens here. From some reason ssltunnel sees the initial CONNECT request as malformed. I'll add more logging to see why.

I have a fix for the timeout: I am not telling the socket to write in case of CONNECT request parsing error, so the response to the client is never sent and communication stuck.  I'll add another patch as a fix for reference and land it after I figure out why the parsing fails.
Comment 56 Honza Bambas (:mayhemer) 2010-01-18 12:00:57 PST
Created attachment 422238 [details] [diff] [review]
Yet more logging

http://hg.mozilla.org/mozilla-central/rev/b4bcfcefd29d
Comment 57 Benjamin Smedberg [:bsmedberg] 2010-01-19 08:18:15 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263910526.1263912041.16718.gz
Linux mozilla-central debug test mochitests-5/5 on 2010/01/19 06:15:26
Comment 59 Honza Bambas (:mayhemer) 2010-01-19 15:07:40 PST
Created attachment 422425 [details] [diff] [review]
Fix v1

Standard strtok is not thread safe. When parsing and checking two or more requests in different threads, the internal strtok caret is common to all threads and interacts.

I will clean the added logging up in a different patch.
Comment 60 Honza Bambas (:mayhemer) 2010-01-19 15:20:57 PST
Created attachment 422431 [details] [diff] [review]
Fix v1.1

Sorry, wrong file, this one is correct.  The previous patch only included fix for a bad request parsing code.  This one also includes fix for the timeout itself, I was not setting WRITE flag on the socket in case of request parse failure and the error response was never sent back to the client.
Comment 61 Honza Bambas (:mayhemer) 2010-01-19 15:32:23 PST
Created attachment 422434 [details] [diff] [review]
Fix v1.1 [Checkin comment 69] [1.9.2 comment 73] [1.9.1 comment 74]

This is the first time I have experienced that hg threw away my local changes! The previous patch didn't refresh but qpop and qpush has not been stopped by 'abort local changes found'.

This is the correct patch, double checked.
Comment 62 Jonas Sicking (:sicking) No longer reading bugmail consistently 2010-01-19 17:08:59 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263946300.1263948465.26777.gz&fulltext=1
Comment 64 Phil Ringnalda (:philor) 2010-01-21 22:11:25 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264136919.1264138698.6053.gz
Linux mozilla-central debug test mochitests-5/5 on 2010/01/21 21:08:39
s: moz2-linux-slave12
Comment 65 Phil Ringnalda (:philor) 2010-01-22 10:36:37 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264182080.1264183547.19376.gz
OS X 10.5.2 mozilla-central debug test mochitests-5/5 on 2010/01/22 09:41:20
s: moz2-darwin9-slave18
Comment 66 Ted Mielczarek [:ted.mielczarek] 2010-01-22 13:01:51 PST
Comment on attachment 422434 [details] [diff] [review]
Fix v1.1 [Checkin comment 69] [1.9.2 comment 73] [1.9.1 comment 74]

There's no easy to way to just link in nsCRT here, is there? That'd be a bit nicer than copy and pasting the code. But since this is just a test app, it's not the end of the world.
Comment 67 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2010-01-23 08:11:00 PST
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264261248.1264262695.11209.gz
Comment 68 Honza Bambas (:mayhemer) 2010-01-23 10:36:00 PST
(In reply to comment #66)
> (From update of attachment 422434 [details] [diff] [review])
> There's no easy to way to just link in nsCRT here, is there? That'd be a bit
> nicer than copy and pasting the code. But since this is just a test app, it's
> not the end of the world.

I think it's not necessary to link against XPCOM due to a single function atm. I had some plans to move ssltunnel to be based on necko to a have a regular full proxy behavior and support for keep-alive connections. But it's sound of a future.

Thanks for the review.
Comment 69 Honza Bambas (:mayhemer) 2010-01-26 05:37:07 PST
Comment on attachment 422434 [details] [diff] [review]
Fix v1.1 [Checkin comment 69] [1.9.2 comment 73] [1.9.1 comment 74]

http://hg.mozilla.org/mozilla-central/rev/ccbc4b3e631e
Comment 70 Daniel Holbert [:dholbert] 2010-01-29 09:17:06 PST
Still affects 1.9.2.  Honza, would this bug's patch be appropriate for 1.9.2, and if so, could you request approval?

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1264780161.1264783413.20486.gz
OS X 10.5.2 mozilla-1.9.2 opt test mochitests on 2010/01/29 07:49:21
s: moz2-darwin9-slave24
Comment 71 Honza Bambas (:mayhemer) 2010-01-29 09:34:21 PST
Comment on attachment 422434 [details] [diff] [review]
Fix v1.1 [Checkin comment 69] [1.9.2 comment 73] [1.9.1 comment 74]

Agree.  Just a test change, this bug affects all branches since 1.9.0, seems necessary to land it there as well.
Comment 72 Mike Beltzner [:beltzner, not reading bugmail] 2010-02-10 13:12:09 PST
Comment on attachment 422434 [details] [diff] [review]
Fix v1.1 [Checkin comment 69] [1.9.2 comment 73] [1.9.1 comment 74]

a=beltzner for a whole bunch of places.
Comment 73 Honza Bambas (:mayhemer) 2010-02-24 07:26:25 PST
Comment on attachment 422434 [details] [diff] [review]
Fix v1.1 [Checkin comment 69] [1.9.2 comment 73] [1.9.1 comment 74]

http://hg.mozilla.org/releases/mozilla-1.9.2/rev/219830729ac4
Comment 74 Honza Bambas (:mayhemer) 2010-02-24 07:38:58 PST
Comment on attachment 422434 [details] [diff] [review]
Fix v1.1 [Checkin comment 69] [1.9.2 comment 73] [1.9.1 comment 74]

http://hg.mozilla.org/releases/mozilla-1.9.1/rev/dc14dbb34190
Comment 75 Honza Bambas (:mayhemer) 2010-02-24 07:53:20 PST
Comment on attachment 422434 [details] [diff] [review]
Fix v1.1 [Checkin comment 69] [1.9.2 comment 73] [1.9.1 comment 74]

This patch is not applicable to 1.9.0 branch.  There is much older version of ssltunnel that is not used.
Comment 76 Treeherder Robot 2010-07-26 15:55:51 PDT
khuey
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1280183125.1280184662.25679.gz
Rev3 Fedora 12 mozilla-central opt test mochitests-5/5 on 2010/07/26 15:25:25

s: talos-r3-fed-040
308 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug329869.html | Test timed out.
312 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug383369.html | Test timed out.
316 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug455367.html | Test timed out.
320 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug472986.html | Test timed out.
321 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | 4 test timeouts, giving up.
322 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | Skipping 150 remaining tests.
Comment 77 Treeherder Robot 2010-12-01 14:06:53 PST
bjarne%runitsoft.com
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1291237363.1291238770.28600.gz
Rev3 Fedora 12 tryserver opt test mochitests-5/5 on 2010/12/01 13:02:43

s: talos-r3-fed-033
15 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug329869.html | Test timed out.
19 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug383369.html | Test timed out.
23 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug455367.html | Test timed out.
27 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug472986.html | Test timed out.
28 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | 4 test timeouts, giving up.
29 ERROR TEST-UNEXPECTED-FAIL | (SimpleTest/TestRunner.js) | Skipping 158 remaining tests.
Comment 78 Treeherder Robot 2012-03-26 08:20:49 PDT
froydnj
https://tbpl.mozilla.org/php/getParsedLog.php?id=10369404&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound opt test mochitests-5/5 on 2012-03-26 03:22:46

1553 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug455367.html | Test timed out.
1559 ERROR TEST-UNEXPECTED-FAIL | /tests/security/ssl/mixedcontent/test_bug472986.html | Test timed out.
5482 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_basic_form_autocomplete.html | Test timed out.
6200 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_privbrowsing.html | Checking form1 username - got , expected tempuser1
6201 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_privbrowsing.html | Checking form1 password - got , expected temppass1
6203 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_privbrowsing.html | Checking form1 username - got , expected testuser2
6204 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_privbrowsing.html | Checking form1 password - got , expected testpass2
6206 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_privbrowsing.html | Checking form1 username - got , expected testuser3
6207 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_privbrowsing.html | Checking form1 password - got , expected testpass3
6209 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_privbrowsing.html | Checking form1 username - got , expected zzzuser4
6210 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_privbrowsing.html | Checking form1 password - got , expected zzzpass4
6212 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_privbrowsing.html | Checking form1 username - got , expected tempuser1
6213 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_privbrowsing.html | Checking form1 password - got , expected temppass1
6220 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_privbrowsing.html | Checking form1 username - got , expected zzzuser4
6221 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/passwordmgr/test/test_privbrowsing.html | Checking form1 password - got , expected zzzpass4
9153 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 username - got , expected zzzuser4
9154 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 password - got , expected zzzpass4
9156 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 username - got , expected zzzuser4
9157 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 password - got , expected zzzpass4
9160 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 username - got , expected tempuser1
9163 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 username - got , expected tempuser1
9167 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | popup should be open - got false, expected true
9169 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 input - got value1, expected
9171 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 username - got , expected tempuser1
9172 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 password - got , expected temppass1
9175 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 username - got , expected zzzuser4
9176 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 password - got , expected zzzpass4
9179 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | popup should be open - got false, expected true
9181 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 input - got value6, expected
9182 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Test 13 should not show a popup
9189 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 input - got value6, expected
9195 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 input - got value6, expected
9201 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 input - got value6, expected
9213 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 input - got value6, expected
9219 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 input - got value6, expected
9225 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 input - got value6, expected
9231 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 input - got value6, expected
9238 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 input - got value6, expected
9246 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | checking selected index - got 1, expected 0
9247 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 input - got value6, expected
9252 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_bug_511615.html | Checking form1 input - got value6, expected
9278 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Correct number of logins before deleting one - got 0, expected 5
9281 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Correct number of logins after deleting one - got 0, expected 4
9282 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 username - got , expected testuser2
9283 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 password - got , expected testpass2
9285 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 input - got value3, expected value2
9287 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 username - got , expected testuser2
9288 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 password - got , expected testpass2
9290 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 input - got value4, expected value3
9294 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Correct number of logins after deleting one - got 0, expected 3
9295 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 username - got , expected zzzuser4
9296 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 password - got , expected zzzpass4
9298 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 input - got value2, expected value4
9300 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 username - got , expected testuser2
9301 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 password - got , expected testpass2
9303 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 input - got value2, expected value1
9307 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Correct number of logins after deleting one - got 0, expected 2
9308 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 username - got , expected testuser2
9309 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 password - got , expected testpass2
9311 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 input - got value2, expected value4
9313 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 username - got , expected testuser2
9314 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 password - got , expected testpass2
9316 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 input - got value2, expected value4
9320 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Correct number of logins after deleting one - got 0, expected 1
9321 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | an unexpected uncaught JS exception reported through window.onerror - uncaught exception: No matching logins at :0
9323 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete.html | Checking form1 input - got , expected value4
9338 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/components/satchel/test/test_form_autocomplete_with_list.html | Test 56 should not show a popup

Note You need to log in before you can comment on or make changes to this bug.